using System;

namespace Smdn.Applications.SimpleHalt {
  [AttributeUsage(AttributeTargets.Property | AttributeTargets.Field, AllowMultiple = true)]
  public class CommandLineArgumentAttribute : Attribute {
    public string Argument {
      get; set;
    }

    public string ParameterName {
      get; set;
    }

    public CommandLineArgumentAttribute(string argument)
    {
      this.Argument = argument;
    }
  }
}
