using System;

namespace Smdn.Applications.SimpleHalt {
  public class HaltOperationProgress {
    public HaltOperationStatus Status {
      get; private set;
    }

    public TimeSpan TimeToHalt {
      get; private set;
    }

    public int Percentage {
      get; private set;
    }

    public string StatusText {
      get; private set;
    }

    public bool NotifyProgress {
      get; set;
    }

    public HaltOperationProgress(HaltOperationStatus status, TimeSpan timeToHalt, int percentage, string statusText)
    {
      this.Status = status;
      this.TimeToHalt = timeToHalt;
      this.Percentage = percentage;
      this.StatusText = statusText;
      this.NotifyProgress = false;
    }
  }
}
