using System;
using System.Drawing;
using System.IO;
using System.Text;
using System.Windows.Forms;

namespace Smdn.Applications.SimpleHalt {
  public partial class UsageDialog : Form {
    public UsageDialog()
    {
      InitializeComponent();

      var sb = new StringBuilder(10240);

      using (var writer = new StringWriter(sb)) {
        SimpleHalt.WriteUsage(writer);
      }

      textBoxUsage.Text = sb.ToString();
      textBoxUsage.Font = new Font(FontFamily.GenericMonospace, Control.DefaultFont.SizeInPoints, GraphicsUnit.Point);
      textBoxUsage.Select(0, 0);
    }
  }
}
