using System;

namespace Smdn.Applications.SimpleHalt {
  [AttributeUsage(AttributeTargets.Property | AttributeTargets.Field, AllowMultiple = false)]
  public class CommandLineArgumentDescriptionAttribute : Attribute {
    public string Description {
      get; set;
    }

    public CommandLineArgumentDescriptionAttribute(string description)
    {
      this.Description = description;
    }
  }
}
