using System;

namespace Smdn.Applications.SimpleHalt {
  [AttributeUsage(AttributeTargets.Property | AttributeTargets.Field, AllowMultiple = false)]
  public class CommandLineArgumentRequirementAttribute : Attribute {
    public bool Required {
      get; set;
    }

    public CommandLineArgumentRequirementAttribute(bool required)
    {
      this.Required = required;
    }
  }
}
