using System;

namespace Smdn.Applications.SimpleHalt {
  [AttributeUsage(AttributeTargets.Property | AttributeTargets.Field, AllowMultiple = false)]
  public class CommandLineArgumentSummaryAttribute : Attribute {
    public string Summary {
      get; set;
    }

    public CommandLineArgumentSummaryAttribute(string summary)
    {
      this.Summary = summary;
    }
  }
}
